%global __cmake_in_source_build 1

Summary:        A freely licensed alternative to the GLUT library
Name:           freeglut
Version:        3.4.0
Release:        3%{?dist}
License:        MIT
URL:            http://freeglut.sourceforge.net
Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        https://downloads.sourceforge.net/openglut/openglut-0.6.3-doc.tar.gz

Patch0001:      0001-CVE-2024-24258-24259.patch
Patch3000:      common.patch
 
BuildRequires:  gcc gcc-c++ cmake make pkgconfig
BuildRequires:  libGLU-devel libXext-devel
BuildRequires:  libXi-devel libICE-devel
Provides:       glut = 3.7

%description
freeglut is a completely open source alternative to the OpenGL Utility
Toolkit(GLUT) library with an OSI approved free software license. GLUT 
was originally written by Mark Kilgard to support the sample programs in 
the second edition OpenGL 'RedBook'. Since then, GLUT has been used in a 
wide variety of practicalapplications because it is simple, universally 
available and highly portable.

%package devel
Summary:        Freeglut developmental libraries and header files
Requires:       %{name} = %{version}-%{release}
Requires:       libGL-devel libGLU-devel
Provides:       glut-devel = 3.7

%description devel
Development libraries and header files for using freeglut.
	
%prep
%autosetup -a 1 -p0
 
%build
%cmake -DFREEGLUT_BUILD_STATIC_LIBS=OFF .
%cmake_build
 
%install
%make_install
 
mkdir -p %{buildroot}/%{_mandir}/man3
install -p -m 644 doc/man/*.3 %{buildroot}/%{_mandir}/man3

%files
%license COPYING            
%doc AUTHORS ChangeLog
%{_libdir}/libglut.so.3*

%files devel
%{_includedir}/GL/*.h
%{_libdir}/libglut.so
%{_libdir}/pkgconfig/glut.pc
%{_libdir}/cmake/FreeGLUT/*
%{_mandir}/man3/*

%changelog
* Mon Apr 08 2024 Fanjun Kong <fanjunkong@tencent.com> - 3.4.0-3
- Fix CVE-2024-24258 CVE-2024-24259

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 22 2023 Shuo Wang <abushwang@tencent.com> - 3.4.0-1
- update to 3.4.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.2-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.2-3
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 09 2022 Xiaojie Chen <jackxjchen@tencent.com> - 3.2.2-2
- Rebuild freeglut

* Tue Sep 13 2022 Wang Zhe <bessiewang@tencent.com> - 3.2.2-1
- initial build
